<div class="form-container">
  <div class="form-content">
    <div class="form-wrapper">
      <div class="form-group --offset-right-2">
        <div class="form-group__label">
          <label><%=  t('house.hid_label') %></label>
        </div>
        <div class="form-group__input ui input">
          <%= text_field_tag :hid, house.hid, disabled: true %>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group --offset-right-2">
        <div class="form-group__label">
          <label><%= t('house.house_id_label') %></label>
        </div>
        <div class="form-group__input ui input">
          <%= text_field_tag :house_id , house.house_id, disabled: true %>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group --offset-right-2">
        <div class="form-group__label">
          <label><%=  t('house.datesurvey_label') %></label>
        </div>
        <div class="form-group__input ui input">
          <%= text_field_tag :datesurvey , date_format(house.datesurvey), disabled: true %>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <label><%=  t('house.namesurvey_label') %></label>
        </div>
        <div class="form-group__input ui input">
          <%= text_field_tag :namesurvey, house.namesurvey, disabled: true %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <label><%= t('house.positionsurvey_label') %></label>
        </div>
        <div class="form-group__input ui input">
          <%= text_field_tag :positionsurvey , house.positionsurvey, disabled: true %>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <%= label_tag :house, t('house.house_label')  %>
        </div>
        <div class="form-group__input ui input">
          <%= text_field_tag :house , house.house, disabled: true %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <label><%= t('house.villaname_label') %></label>
        </div>
        <div class="form-group__input ui input">
          <%= text_field_tag :villaname , house.villaname, disabled: true %>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <%= label_tag :moo, t('house.moo_label') %>
        </div>
        <div class="form-group__input ui input">
          <%= text_field_tag :moo, house.moo, disabled: true %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= label_tag :soimain_label, t('house.soimain_label') %>
        </div>
        <div class="form-group__input ui input">
          <%= text_field_tag :soimain, house.soimain, disabled: true %>
        </div>
      </div>
    </div>
    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <label><%= t('house.soisum_label') %></label>
        </div>
        <div class="form-group__input ui input">
          <%= text_field_tag :soisum, house.soisum, disabled: true %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= label_tag :road, t('house.road_label')%>
        </div>
        <div class="form-group__input ui input">
          <%= text_field_tag :road, house.road, disabled: true %>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <label><%= t('house.changwat_label') %></label>
        </div>
        <div class="form-group__input">
          <% changwats = AddrChangwat.all.order(:label).map { |a| [a.label, a.id] } %>
          <%= select_tag :addr_changwat_id, options_for_select(changwats, house.addr_changwat_id), 
            { prompt: t('please_select_label'), class: 'ui dropdown', disabled: true } %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <label><%= t('house.amphur_label') %></label>
        </div>
        <div class="form-group__input">
          <% if house.addr_amphur_id || @addr_amphurs %>
            <% amphurs = @addr_amphurs.map { |a| [a.label, a.id]  } %>
            <%= select_tag :addr_amphur_id, options_for_select(amphurs, house.addr_amphur_id),
              { prompt: t('please_select_label'), class: 'ui dropdown', disabled: true } %>
          <% else %>
            <%= select_tag :addr_amphur_id, {}, { include_blank: '-', class: 'ui dropdown', disabled: true } %>
          <% end %> 
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <label><%= t('house.tambon_label') %></label>
        </div>
        <div class="form-group__input">
          <% if house.addr_tambon_id || @addr_tambons %>
            <% tambons = @addr_tambons.map { |a| [a.label, a.id] } %>
            <%= select_tag :addr_tambon_id, options_for_select(tambons, house.addr_tambon_id),
              { prompt: t('please_select_label'), class: 'ui dropdown', disabled: true } %>
          <% else %>
            <%= select_tag :addr_tambon_id, {}, { include_blank: '-', class: 'ui dropdown', disabled: true } %>
          <% end %>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <%= label_tag :postcode, t('house.postcode_label') %>
        </div>
        <div class="form-group__input ui input">
          <%= text_field_tag :postcode , house.postcode, disabled: true %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <label><%= t('house.phonenumber_label') %></label>
        </div>
        <div class="form-group__input ui input">
          <%= text_field_tag :phonenumber , house.phonenumber, disabled: true %>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <label><%= t('house.latitude_label') %></label>
        </div>
        <div class="form-group__input ui input">
          <%= text_field_tag :latitude , house.latitude, disabled: true %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <label><%= t('house.longitude_label') %></label>
        </div>
        <div class="form-group__input ui input">
          <%= text_field_tag :longitude , house.longitude, disabled: true %>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <%= label_tag :housestyletype,  t('house.housestyletype_label') %>
        </div>
        <div class="form-group__input">
          <% housestyletypes = House.house_style_types.map { |k, v| [ "#{v}. #{t("house.housestyletype_#{k}_label")}", v ] } %>
          <%= select_tag :housestyletype, options_for_select(housestyletypes, house.housestyletype),
            { prompt: t('please_select_label'), class: 'ui dropdown', disabled: true } %>
        </div>
      </div>
      
      <div class="form-group">
        <div class="form-group__label">
          <%= label_tag :housetype,  t('house.housetype_label') %>
        </div>
        <div class="form-group__input">
          <% housetypes = House.houst_tydes.map { |k, v| [ "#{v}. #{t("house.housetype_#{k}_label")}", v ] } %>
          <%= select_tag :housetype, options_for_select(housetypes, house.housetype),
            { prompt: t('please_select_label'), class: 'ui dropdown', disabled: true } %>
        </div>
      </div>
    </div>
    
    <div class="form-wrapper">
      <div class="form-group --inline">
        <div class="form-group__label">
          <label><%= t('house.houseutili_label') %></label>
        </div>
        <div class="form-group__input-group">
          <div class="form-group__input">
            <label data-type="radio">
              <%= radio_button_tag :houseutili, '1', house.houseutili == '1', disabled: true %>
              <span class="text">
                <%= t('house.houseutili_shelter_label') %>
              </span>
            </label>
          </div>
          <div class="form-group__input">
            <label data-type="radio">
              <%= radio_button_tag :houseutili, '2', house.houseutili == '2', disabled: true %>
              <span class="text">
                <%= t('house.houseutili_establishment_label') %>
              </span>
            </label>
          </div>
          <div class="form-group__input">
            <label data-type="radio">
              <%= radio_button_tag :houseutili, '3', house.houseutili == '3', disabled: true %>
              <span class="text">
                <%= t('house.houseutili_shelter_and_establishment_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group --offset-right-2">
        <div class="form-group__label">
          <label><%= t('house.nperson_label') %></label>
        </div>
        <div class="form-group__input ui input">
          <%= text_field_tag :nperson , house.nperson, disabled: true %>
        </div>
      </div>
    </div>
    
    <% if house.houseutili == '2' || house.houseutili == '3' %>
      <div>
        <div class="form-wrapper">
          <div class="form-group --inline">
            <div class="form-group__label">
              <label><%= t('house.businesstype_label') %></label>
            </div>
            <div class="form-group__input-group">
              <div class="form-group__input">
                <% businesstypes = House.business_types.each_with_index.map { |v, i| [ "#{i+=1}. #{t("house.businesstype_#{v[0]}_label")}", v[1] ] } %>
                <%= select_tag :businesstype, options_for_select(businesstypes, house.businesstype),
                  { prompt: t('please_select_label'), class: 'ui dropdown', disabled: true } %>
              </div>
              <div class="form-group__input">
                <% if house.businesstype != '' %>
                  <div class="form-group__input ui input">
                    <%= text_field_tag :housestyletype_other , house.housestyletype_other, disabled: true %>
                  </div> 
                <% end %>
              </div>
            </div>
          </div>
        </div>

        <div class="form-wrapper --inline">
          <div class="form-group">
            <div class="form-group__label">
              <label><%= t('house.namebusiness_label') %></label>
            </div>
            <div class="form-group__input ui input">
              <%= text_field_tag :namebusiness , house.namebusiness, disabled: true %>
            </div>
          </div>
          <div class="form-group">
            <div class="form-group__label">
              <label><%= t('house.ncustomer_label') %></label>
            </div>
            <div class="form-group__input ui input">
              <%= text_field_tag :ncustomer , house.ncustomer, disabled: true %>
            </div>
          </div>
        </div>

        <div class="form-wrapper --inline">
        <div class="form-group">
          <div class="form-group__label">
            <%= label_tag :business_contact_fullname, t('house.business_contact_fullname_label') %>
          </div>
          <div class="form-group__input ui input">
            <%= text_field_tag :business_contact_fullname, house.business_contact_fullname, disabled: true %>
          </div>
        </div>
        <div class="form-group">
          <div class="form-group__label">
            <%= label_tag :business_contact_phonenumber, t('house.business_contact_phonenumber_label') %>
          </div>
          <div class="form-group__input ui input">
            <%= text_field_tag :business_contact_phonenumber, house.business_contact_phonenumber, disabled: true %>
          </div>
        </div>
      </div>

        <div class="form-wrapper">
          <div class="form-group --inline">
            <div class="form-group__label">
              <label><%= t('house.accident_label') %></label>
            </div>
            <div class="form-group__input-group">
              <div class="form-group__button">
                <div class="radio-group">
                  <label class="radio-button">
                    <%= radio_button_tag :accident, '1', house.accident == '1', disabled: true %>
                    <span class="text">
                      <%= t('not_happen_label') %>
                    </span>
                  </label>
                  <label class="radio-button">
                    <%= radio_button_tag :accident, '2', house.accident == '2', disabled: true %>
                    <span class="text">
                      <%= t('happen_label') %>
                    </span>
                  </label>
                </div>
              </div>
              <div class="form-group__input">
                <% if house.accident == '2' %>
                  <div class="form-group__input ui input">
                    <%= text_field_tag :accident_other, house.accident_other, disabled: true %>
                  </div>
                <% end %>
              </div>
            </div>
          </div>
        </div>

        <div class="form-wrapper">
          <div class="form-group --inline">
            <div class="form-group__label">
              <label><%= t('house.disease_label') %></label>
            </div>
            <div class="form-group__input-group">
              <div class="form-group__button">
                <div class="radio-group">
                  <label class="radio-button">
                    <%= radio_button_tag :disease, '1', house.disease == '1', disabled: true %>
                    <span class="text">
                      <%= t('not_happen_label') %>
                    </span>
                  </label>
                  <label class="radio-button">
                    <%= radio_button_tag :disease, '2', house.disease == '2', disabled: true %>
                    <span class="text">
                      <%= t('happen_label') %>
                    </span>
                  </label>
                </div>
              </div>
              <div class="form-group__input">
                <% if house.disease == '2' %>
                  <div class="form-group__input ui input">
                    <%= text_field_tag :disease_other, house.disease_other, disabled: true %>
                  </div>
                <% end %>
              </div>
            </div>
          </div>
        </div>
      </div>
    <% end %>
  </div>
  <div class="form-action">
    <%= link_to t(:back_label), community_survey_houses_path(@community_survey), class: "ui button" %>
    <%= link_to t(:edit_label), edit_community_survey_house_path(@community_survey, @house), class: "ui button --submit" %>
  </div>
</div>

<% content_for :additional_javascripts do %>
  <%= javascript_pack_tag 'form/house_info' %>
<% end %>